## net.sf.saxon.event
Class MessageEmitter

    java.lang.Object
      |
      +--net.sf.saxon.event.Emitter
            |
            +--net.sf.saxon.event.XMLEmitter
                  |
                  +--net.sf.saxon.event.MessageEmitter

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

public class MessageEmitter
extends XMLEmitter

MessageEmitter is the default Emitter for xsl:message output. It is the same as XMLEmitter except for an extra newline at the end of the message

Field Summary

Fields inherited from class net.sf.saxon.event.XMLEmitter
`declarationIsWritten, elementCode, elementStack, empty, openStartTag, preferHex, undeclareNamespaces`

Fields inherited from class net.sf.saxon.event.Emitter
`characterSet, config, namePool, outputProperties, outputStream, streamResult, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`MessageEmitter()`

Method Summary
`void` `close()` End of the document.

Methods inherited from class net.sf.saxon.event.XMLEmitter
`attribute, characters, closeStartTag, comment, emptyElementTagCloser, endDocument, endElement, namespace, open, openDocument, outputCharacterReference, processingInstruction, setDocumentLocator, startContent, startDocument, startElement, testCharacters, writeAttribute, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getDocumentLocator, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, makeWriter, setConfiguration, setOutputProperties, setOutputStream, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEmitter

    public MessageEmitter()

Method Detail

### close

    public void close()
               throws XPathException

  Description copied from class: `XMLEmitter`
  End of the document. Close the output stream.

  Specified by:
    `close` in interface `Receiver`
  Overrides:
    `close` in class `XMLEmitter`
    `XPathException`